<?php
require_once($BASE_DIR."inc/include.php");

function db_start()
{
	global $DB_TYPE;
	global $DB_HANDLE;

	switch($DB_TYPE) {
		case "sqlite":
			$DB_HANDLE = new db_sqlite();
		break;
		default:
			die("db: invalid database type ($DB_TYPE)!");
		break;
	}
}

function db_open()
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	$DB_HANDLE->open();
}

function db_close()
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	$DB_HANDLE->close();
}

function db_query_select($db_table, $db_select, $db_order_table=null, $db_order=null, $db_limit=null)
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	return $DB_HANDLE->query_select($db_table, $db_select, $db_order_table, $db_order);
}

function db_query_select_array($db_table, $db_select, $db_order_table=null, $db_order=null, $db_limit=null)
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	return $DB_HANDLE->query_select_array($db_table, $db_select, $db_order_table, $db_order);
}

function db_query_array($db_query)
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	return $DB_HANDLE->query_array($db_query);
}

function db_query($db_query)
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	return $DB_HANDLE->query($db_query);
}

function db_exec($db_query)
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	return $DB_HANDLE->exec($db_query);
}

function db_escape($db_query)
{
	global $DB_HANDLE;

	if(!$DB_HANDLE)
		die("db: no database handle!");

	return $DB_HANDLE->escape($db_query);
}
?>
