<?php
require_once($BASE_DIR."inc/include.php");

class db_sqlite
{
	private $handle;

	private function tables_create()
	{
		global $BASE_DIR;

		if(!$this->handle)
			die("db_sqlite: db is not opened!");

		$db_data = file_get_contents($BASE_DIR."inc/functions/db_sqlite.sql");

		$db_ret = sqlite_exec($this->handle, $db_data);

		if(!$db_ret)
			die("db_sqlite: unable to create tables!");
	}

	public function open()
	{
		global $DB_FILE;
		$db_empty = false;

		if(!$DB_FILE)
			die("db_sqlite: no file specified, please set DB_FILE");

		if(!file_exists($DB_FILE))
			$db_empty = true;

		$db_handle = sqlite_open($DB_FILE, 0666, $db_error_message);
		if(!$db_handle)
			die("db_sqlite: error ($db_error_message)!");

		$this->handle = $db_handle;

		if($db_empty)
			$this->tables_create();
	}

	public function close()
	{
		sqlite_close($this->handle);
	}

	private function query_select_prepare($db_table, $db_select, $db_order_table=null, $db_order=null, $db_limit=null)
	{
		$db_query = "SELECT $db_select FROM $db_table ";

		if($db_order_table) {
			$db_query .= "ORDER BY $db_order_table ";

			if($db_order)
				$db_query .= "$db_order ";
		}
	
		if($db_limit) {
			$db_query .= "LIMIT $db_limit ";
		}

		$db_query .= ";";

		return $db_query;
	}

	public function query_select($db_table, $db_select, $db_order_table=null, $db_order=null, $db_limit=null)
	{
		$db_query = $this->query_select_prepare($db_table, $db_select, $db_order_table, $db_order, $db_limit);

		return sqlite_query($this->handle, $db_query);
	}

	public function query_select_array($db_table, $db_select, $db_order_table=null, $db_order=null, $db_limit=null)
	{
		$db_query = $this->query_select_prepare($db_table, $db_select, $db_order_table, $db_order, $db_limit);

		return sqlite_array_query($this->handle, $db_query);
	}

	public function query_array($db_query)
	{
		return sqlite_array_query($this->handle, $db_query);
	}

	public function query($db_query)
	{
		return sqlite_query($this->handle, $db_query);
	}

	public function exec($db_query)
	{
		return sqlite_exec($this->handle, $db_query);
	}

	public function escape($db_query)
	{
		return sqlite_escape_string($db_query);
	}
}
?>
