<?php
function photos_album_check_integrity($photos_album_id)
{
	global $PHOTOS_ORIGINALS_FOLDER;
	global $PHOTOS_FOLDER;
	global $PHOTOS_THUMBNAILS_FOLDER;
	global $BASE_DIR;

	if(!file_exists($BASE_DIR.$PHOTOS_ORIGINALS_FOLDER."/".$photos_album_id."/"))
		return false;

	$photos_originals_array=scandir($BASE_DIR.$PHOTOS_ORIGINALS_FOLDER."/".$photos_album_id."/");
	$photos_array=scandir($BASE_DIR.$PHOTOS_FOLDER."/".$photos_album_id."/");
	$photos_thumbnails_array=scandir($PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/");

	if($photos_originals_array == $photos_array && $photos_originals_array == $photos_thumbnails_array)
		return true;
	else
		return false;
}

function photos_album_cadre_display($photos_album_id, $photos_album_name)
{
	global $PHOTOS_THUMBNAILS_FOLDER;
	global $BASE_DIR;
	global $ROOT_DIR;

	if(!photos_album_check_integrity($photos_album_id))
		return false;

	$photos_album_thumbnails_array=scandir($BASE_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/");
	$photos_album_thumbnails_array_size=sizeof($photos_album_thumbnails_array) - 1;


	print("<div class=\"photos_album_cadre\"><a href=\"index.php?photos_album_id=$photos_album_id\">");

	if($photos_album_thumbnails_array_size >= 2)
	{
		$photos_album_thumbnail_array_id=rand(2, $photos_album_thumbnails_array_size);
		$photos_album_thumbnail_file=$photos_album_thumbnails_array[$photos_album_thumbnail_array_id];
		$photos_album_thumbnail_file=$ROOT_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/".$photos_album_thumbnail_file;

		print("<img src=\"$photos_album_thumbnail_file\" alt=\"thumbnail\" />");
	}

	print("<br />$photos_album_name</a></div>");
}

function photos_albums_show()
{
	print("<h1>Albums</h1>");

	$photos_albums_array = db_query_array("SELECT * FROM photos_albums ORDER BY photos_album_id ASC");

	for($i=0 ; $i < count($photos_albums_array) ; $i++)
		photos_album_cadre_display($photos_albums_array[$i][0], $photos_albums_array[$i][1]);
}

function photos_comments_show()
{
	print("<h1>Derniers commentaires</h1>");

	$photo_comments_array = db_query_select_array("photos_comments", "*", "photo_comment_id", "DESC", "5");

	for($i=0 ; $i < count($photo_comments_array) ; $i++)
	{
		print("
<div class=\"photo_comment\">
	<div class=\"photo_comment_title\">Par: <span style=\"font-weight: bold\">".stripslashes($photo_comments_array[$i][3])."</span> <span style=\"font-size: 0.8em;\">(".$photo_comments_array[$i][4].")</span></div>
	<div class=\"photo_comment_thumbnail\"><a href=\"index.php?photos_album_id=".$photo_comments_array[$i][1]."&photo_file=".$photo_comments_array[$i][2]."\"><img src=\"thumbnails/".$photo_comments_array[$i][1]."/".$photo_comments_array[$i][2]."\" alt=\"thumbnail\" /></a></div>
	<div class=\"photo_comment_text\">".stripslashes($photo_comments_array[$i][5])."</div>
</div><br />
		");
	}
}

function photo_album_show($photos_album_id)
{
	global $PHOTOS_THUMBNAILS_FOLDER;
	global $BASE_DIR;
	global $ROOT_DIR;

	if(photos_album_check_integrity($photos_album_id))
	{
		$photos_album_array = db_query_array("SELECT photos_album_name FROM photos_albums WHERE photos_album_id='$photos_album_id'");
		$photos_album_name=$photos_album_array[0][0];

		$photos_album_thumbnails_array=scandir($BASE_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/");
		sort($photos_album_thumbnails_array, SORT_NUMERIC);
		$photos_album_thumbnails_array_size=sizeof($photos_album_thumbnails_array);

		print("<h1>$photos_album_name</h1>");

		print("<div id=\"photos_preview_box\">");

		for($i=2 ; $i < $photos_album_thumbnails_array_size ; $i++)
			print("<a href=\"index.php?photos_album_id=$photos_album_id&photo_file=".$photos_album_thumbnails_array[$i]."\"><img src=\"".$ROOT_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/".$photos_album_thumbnails_array[$i]."\" alt=\"thumbnail\" /></a>");

		print("</div>");
	}
	else
		print("<div class=\"photos_action_error\">L'album que vous demandez n'existe pas.</div>");	
}

function photo_file_comment($photos_album_id, $photo_file, $photo_comment_text, $photo_comment_author)
{
		if(!$photo_comment_text || !$photo_comment_author) {
			print("<div class=\"photos_action_error\">Veuillez remplir tous les champs du formulaire.</div>");
		} else {
			$photo_comment_date=date("d/m/Y H:m");
			$photo_comment_text=nl2br($photo_comment_text);

			$db_query = "INSERT INTO photos_comments (photo_comment_album_id, photo_comment_file, photo_comment_author, photo_comment_date, photo_comment_text) VALUES ('".$photos_album_id."', '".$photo_file."', '".db_escape($photo_comment_author)."', '".$photo_comment_date."', '".db_escape($photo_comment_text)."')";

			if(db_exec($db_query))
				print("<div class=\"photos_action_ok\">Le commentaire a été envoyé avec succès.</div>");
			else
				print("<div class=\"photos_action_error\">Erreur lors de l'envoi du commentaire.</div>");
		}
}

function photo_file_show($photos_album_id, $photo_file)
{
	global $THEME_NAME;
	global $PHOTOS_THUMBNAILS_FOLDER;
	global $PHOTOS_ORIGINALS_FOLDER;
	global $PHOTOS_FOLDER;
	global $BASE_DIR;
	global $ROOT_DIR;

	if(photos_album_check_integrity($photos_album_id) && file_exists($BASE_DIR.$PHOTOS_FOLDER."/".$photos_album_id."/".$photo_file) && file_exists($BASE_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/".$photo_file) && file_exists($BASE_DIR.$PHOTOS_ORIGINALS_FOLDER."/".$photos_album_id."/".$photo_file))
	{
		$photos_album_array=db_query_array("SELECT * FROM photos_albums WHERE photos_album_id='$photos_album_id'");
		$photos_album_name=$photos_album_array[0][1];

		$photos_album_thumbnails_array=scandir($BASE_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/");
		sort($photos_album_thumbnails_array, SORT_NUMERIC);
		$photos_album_thumbnails_array_size=count($photos_album_thumbnails_array);

		print("<h1><a href=\"index.php?photos_album_id=$photos_album_id\">Album : $photos_album_name</a></h1>");

		print("<div id=\"photo_navigation\">");

		for($i=2; $i < $photos_album_thumbnails_array_size ; $i++)
			if($photos_album_thumbnails_array[$i] == $photo_file)
			{
				print("<div id=\"photo_previous_image\">");
				if(intval($photos_album_thumbnails_array[$i-1]))
				{
					$photo_file_previous=intval($photos_album_thumbnails_array[$i-1]);
					$photo_file_previous.=".jpg";

					print("<a href=\"index.php?photos_album_id=$photos_album_id&photo_file=$photo_file_previous#content_middle\"><img src=\"style/".$THEME_NAME."/images/arrow_previous.png\" alt=\"arrow_previous\"/></a>");
				}
				print("</div>");

				print("<h1 id=\"photo_current_file\">Photo : $photo_file</h1>");

				print("<div id=\"photo_next_image\">");
				if(isset($photos_album_thumbnails_array[$i+1]))
				{
					$photo_file_next=intval($photos_album_thumbnails_array[$i+1]);
					$photo_file_next.=".jpg";
	
					print("<a href=\"index.php?photos_album_id=$photos_album_id&photo_file=$photo_file_next#content_middle\"><img src=\"style/".$THEME_NAME."/images/arrow_next.png\" alt=\"arrow_previous\"/></a>");
				}
				print("</div>");

				break;
			}
		print("</div>");

		print("<div id=\"photos_box\">");
		print("<img src=\"".$ROOT_DIR.$PHOTOS_FOLDER."/".$photos_album_id."/".$photo_file."\" alt=\"photo\" />");
		print("</div>");

		print("<h2>Télécharger la photo</h2>");
		print("<ul><li><a href=\"".$ROOT_DIR.$PHOTOS_THUMBNAILS_FOLDER."/".$photos_album_id."/".$photo_file."\">Petit</a></li><li><a href=\"".$ROOT_DIR.$PHOTOS_FOLDER."/".$photos_album_id."/".$photo_file."\">Moyen</a></li><li><a href=\"".$ROOT_DIR.$PHOTOS_ORIGINALS_FOLDER."/".$photos_album_id."/".$photo_file."\">Original</a></li></ul>");

		print("<h2>Commentaires</h2>");

		$photo_comments_array=db_query_array("SELECT * FROM photos_comments WHERE photo_comment_album_id='$photos_album_id' AND photo_comment_file='$photo_file' ORDER BY photo_comment_id DESC");
		for($i=0 ; $i < count($photo_comments_array) ; $i++)
		{
			print("
<div class=\"photo_comment\">
	<div class=\"photo_comment_title\">Par: <span style=\"font-weight: bold\">".stripslashes($photo_comments_array[$i][3])."</span> <span style=\"font-size: 0.8em;\">(".$photo_comments_array[$i][4].")</span></div>
	<div class=\"photo_comment_thumbnail\"><a href=\"index.php?photos_album_id=".$photo_comments_array[$i][1]."&photo_file=".$photo_comments_array[$i][2]."\"><img src=\"thumbnails/".$photo_comments_array[$i][1]."/".$photo_comments_array[$i][2]."\" alt=\"thumbnail\" /></a></div>
	<div class=\"photo_comment_text\">".stripslashes($photo_comments_array[$i][5])."</div>
</div><br />
			");
		}

		print("<h2>Ajouter un commentaire</h2>");

		print("
<form action=\"index.php?photos_album_id=$photos_album_id&photo_file=$photo_file\" method=\"post\">
<div style=\"text-align: center;\">
<table>
	<tr>
		<td>Pseudo : </td>
		<td><input type=\"text\" name=\"photo_comment_author\" class=\"input\"/></td>
	</tr>
	<tr>
		<td>Commentaire : </td>
		<td><textarea name=\"photo_comment_text\" cols=\"50\" rows=\"10\" class=\"input\"></textarea></td>
	</tr>
</table>
<br />
<input type=\"hidden\" name=\"photo_comment_indicator\" value=\"true\" />
<input type=\"submit\" value=\"Envoyer\" class=\"submit\" />
</div>
</form>

		");

		print("<h2>Album de la photo</h2>");
		photos_album_cadre_display($photos_album_id, $photos_album_name);
	}
	else
		print("<div class=\"photos_action_error\">L'album ou la photo que vous demandez n'existe pas.</div>");
}
?>
